package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.ListResponse;
import com.persagy.dmp.rwd.edit.service.FuncidDefService;
import com.persagy.dmp.rwd.model.FuncidDefModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/rwdedit/def/funcid")
public class FuncidDefController {
    @Autowired
    private FuncidDefService service;

    @PostMapping("")
    public ListResponse<FuncidDefModel> query(@RequestBody JacksonCriteria criteria) {
        return service.queryFuncid(criteria);
    }
}
