package com.persagy.dmp.admin;

import com.persagy.dmp.common.SpringUtils;
import com.persagy.dmp.common.http.HttpUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Bean;

/**
 * @author: yaoll
 * @date: 2020-12-29
 * @verison: 1.0
 */
@Slf4j
@SpringBootApplication
public class IotAdminApp {

    public static void main(String[] args) {
        SpringApplication app = new SpringApplication(IotAdminApp.class);
        ConfigurableApplicationContext ctx = app.run(args);

    }

    @Bean
    public HttpUtils httpUtils() {
        return new HttpUtils();
    }

    @Bean
    public SpringUtils springUtils() {
        return new SpringUtils();
    }

}
