package com.persagy.dmp.rwd.edit.entity;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;
import java.util.Objects;

/**
 * @author: yaoll
 * @date: 2020-11-01
 * @verison: 1.0
 */
@Embeddable
public class RefTypeInfoPK implements Serializable {

    @Column
    private String refKey;

    @Column
    private String code;

    public RefTypeInfoPK() {
    }

    public RefTypeInfoPK(String refKey, String code) {
        this.refKey = refKey;
        this.code = code;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        RefTypeInfoPK groupPK = (RefTypeInfoPK) o;
        return refKey.equals(groupPK.refKey) &&
                code.equals(groupPK.code);
    }

    @Override
    public int hashCode() {
        return Objects.hash(refKey, code);
    }

    @Override
    public String toString() {
        return "GroupPK{id=\"" + refKey + "\", groupCode=\"" + code + "\"}";
    }
}
